#include <EEPROM.h>

char K = ' ';
long N = 0;
long x = 0;
long y = 0;

#include <Wire.h>
#include "ASOLED.h"

#include <Keypad.h>
byte Pins_Rows[]={9,8,7,6};
byte Pins_Columns[]={5,4,3,2};
char keys[4][4]={{'1','2','3','A'},{'4','5','6','B'},{'7','8','9','C'},{'*','0','#','D'}};
Keypad Keyboard= Keypad(makeKeymap(keys),Pins_Rows,Pins_Columns,4,4);


void LCD() {
  LD.printString_12x16("", x, y);
   LD.printNumber((long)N);
  LD.printString_12x16("_", (x + 12), y);
  x = x + 12;
}


void setup() {
  LD.init();
 LD.clearDisplay();
    LD.printString_12x16("_", 0, 0);

}

void loop() {
    K = Keyboard.getKey();
    if (K == '1') {
      N = 1;
      LCD();
    }
    if (K == '2') {
      N = 2;
      LCD();
    }
    if (K == '3') {
      N = 3;
      LCD();
    }
    if (K == '4') {
      N = 4;
      LCD();
    }
    if (K == '5') {
      N = 5;
      LCD();
    }
    if (K == '6') {
      N = 6;
      LCD();
    }
    if (K == '7') {
      N = 7;
      LCD();
    }
    if (K == '8') {
      N = 8;
      LCD();
    }
    if (K == '9') {
      N = 9;
      LCD();
    }
    if (K == '0') {
      N = 0;
      LCD();
    }

  if (K == '*') {
    EEPROM.write(y,x);
    LD.printString_12x16(" ", x, y);
    x = 0;
    y = y + 2;
    LD.printString_12x16("_", x, y);
  }

  if (K == '#') {
    x = x - 12;
    LD.printString_12x16("_", x, y);
    LD.printString_12x16(" ", (x + 12), y);
    if (x < 0) {
      LD.printString_12x16(" ", x, y);
      LD.printString_12x16(" ", (x - 12), y);
      y = y - 2;
      x = EEPROM.read(y);
      LD.printString_12x16("_", x, y);
    }
  }

}